<?php
$shopr_collection = $shopr_collection_slug = $shopr_title = $extra_excerpt = $post_location = '';
if (function_exists('rwmb_meta')) {
	
	$extra_excerpt = rwmb_meta('pipdig_meta_extra_excerpt');
	
	$shopr_title = esc_attr(rwmb_meta('pipdig_meta_shopr_title'));
	$shopr_collection = rwmb_meta('pipdig_meta_shopr_collection');
	if (function_exists('is_shopr_active') && !empty($shopr_collection) && !is_wp_error($shopr_collection) && !empty($shopr_collection->slug)) {
		$shopr_collection_slug = $shopr_collection->slug;
	}
	
	$post_location = esc_html(rwmb_meta('pipdig_meta_geographic_location'));
	
}

$show_extra_excerpt = false;
if ($extra_excerpt || $shopr_collection_slug) {
	$show_extra_excerpt = true;
}

$post_img_1 = pipdig_catch_that_image(get_the_ID(), 'large', 'post_image_home');
$post_img_2 = pipdig_catch_2nd_image();

?>
<div class="clearfix"></div>
<article id="post-<?php the_ID(); ?>" <?php post_class('p_1_post'); ?>>

	<div class="p_1_col_1">
	<?php if (($wp_query->current_post > 0) && get_theme_mod('pipdig_lazy')) { ?>
		<a href="<?php the_permalink() ?>" class="p3_cover_me pipdig_lazy" data-src="<?php echo $post_img_1; ?>">
	<?php } else { ?>
		<a href="<?php the_permalink() ?>" class="p3_cover_me" style="background-image:url(<?php echo $post_img_1; ?>);">
	<?php } ?>
			<img src="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAWgAAAHgAQMAAACyyGUjAAAAA1BMVEUAAACnej3aAAAAAXRSTlMAQObYZgAAACxJREFUeNrtwTEBAAAAwiD7p7bGDmAAAAAAAAAAAAAAAAAAAAAAAAAAAAAkHVZAAAFam5MDAAAAAElFTkSuQmCC" alt="<?php the_title_attribute(); ?>" class="p3_invisible" data-pin-nopin="true"/>
		</a>
	</div>
	
	<div class="p_1_col_2">
	
		<div class="p_1_img_2 p_panel_bordering">
			<?php if (($wp_query->current_post > 0) && get_theme_mod('pipdig_lazy')) { ?>
				<a href="<?php the_permalink() ?>" class="p3_cover_me pipdig_lazy" data-src="<?php echo $post_img_2; ?>">
			<?php } else { ?>
				<a href="<?php the_permalink() ?>" class="p3_cover_me" style="background-image:url(<?php echo $post_img_2; ?>);">
			<?php } ?>
				<img src="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAlgAAAGQAQMAAABI+4zbAAAAA1BMVEUAAACnej3aAAAAAXRSTlMAQObYZgAAADRJREFUeNrtwQENAAAAwiD7p7bHBwwAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAgKQDdsAAAWZeCiIAAAAASUVORK5CYII=" alt="<?php the_title_attribute(); ?>" class="p3_invisible" data-pin-nopin="true"/>
			</a>
			<?php if (!get_theme_mod('hide_dates')) { ?>
			<div class="p_post_date">
				<div class="p_post_date_day"><?php echo get_the_date('d'); ?></div>
				<div class="p_post_date_month_year"><?php echo get_the_date('M Y'); ?></div>
			</div>
			<?php } ?>
		</div>
		
		<div id="p_desktop_content_<?php the_ID(); ?>" class="p_desktop_content p_content_area p_1_content_area">

			<h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
			
			<div class="pipdig_meta">
				<?php if (!get_theme_mod('hide_cats')) { ?>
					<?php echo pipdig_main_cat(true); ?>
					<?php if ($post_location) { ?>&nbsp;|&nbsp;<?php } ?>
				<?php } ?>
				<?php if ($post_location) { ?>
					<i class="pipdigicons pipdigicons-map-marker-alt"></i> <?php echo $post_location; ?>
				<?php } ?>
			</div>
			
			<?php if ($show_extra_excerpt) { ?>
				<div class="p_content_area_extra_excerpt_compensate">
					<?php
					if (get_theme_mod('excerpt_length_num', 35) !== 0) {
						the_excerpt();
					}
					?>
					<a class="read-more" href="<?php the_permalink(); ?>"><?php _e('View Post', 'pipdig-textdomain'); ?></a>
				</div>
				<div class="p_content_area_extra_excerpt">
				<?php
				if ($shopr_collection_slug) {
					echo do_shortcode('[shopr_shopthepost title="'.$shopr_title.'" collection="'.$shopr_collection_slug.'" force_carousel="true" size="small"]');
				} elseif ($extra_excerpt) {
					echo do_shortcode($extra_excerpt);
				}
				?>
				</div>
			<?php } else { ?>
			
				<?php
				if (get_theme_mod('excerpt_length_num', 35) !== 0) {
					the_excerpt();
				}
				?>
				<a class="read-more" href="<?php the_permalink(); ?>"><?php _e('View Post', 'pipdig-textdomain'); ?></a>
			<?php } ?>
			<div class="clearfix"></div>
		</div>
		
	</div>
	
	<div class="clearfix"></div>
	
	<div id="p_mobile_content_<?php the_ID(); ?>" class="p_mobile_content">
	
		<h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
			
		<div class="pipdig_meta">
			<?php if (!get_theme_mod('hide_cats')) { ?>
				<?php echo pipdig_main_cat(true); ?>
				<?php if ($post_location) { ?>&nbsp;|&nbsp;<?php } ?>
			<?php } ?>
			<?php if ($post_location) { ?>
				<i class="pipdigicons pipdigicons-map-marker-alt"></i> <?php echo $post_location; ?>
			<?php } ?>
		</div>
			
		<?php if ($show_extra_excerpt) { ?>
			<div class="p_content_area_extra_excerpt_compensate">
				<?php
				if (get_theme_mod('excerpt_length_num', 35) !== 0) {
					the_excerpt();
				}
				?>
				<a class="read-more" href="<?php the_permalink(); ?>"><?php _e('View Post', 'pipdig-textdomain'); ?></a>
			</div>
			<div class="p_content_area_extra_excerpt">
			<?php
			if ($shopr_collection_slug) {
				echo do_shortcode('[shopr_shopthepost title="'.$shopr_title.'" collection="'.$shopr_collection_slug.'" force_carousel="true" size="small"]');
			} elseif ($extra_excerpt) {
				echo do_shortcode($extra_excerpt);
			}
			?>
			</div>
		<?php } else { ?>
			<?php
			if (get_theme_mod('excerpt_length_num', 35) !== 0) {
				the_excerpt();
			}
			?>
			<a class="read-more" href="<?php the_permalink(); ?>"><?php _e('View Post', 'pipdig-textdomain'); ?></a>
		<?php } ?>
		<div class="clearfix"></div>
	
	</div>
	
	<?php p3_schema_publisher(); ?>
	
</article>

<div class="clearfix"></div>