<?php if (!defined('ABSPATH')) die; ?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<?php if(!get_theme_mod('disable_responsive')) { ?><meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=5"><?php } ?>
	<?php wp_head(); ?>
	<?php
	/*************************************
	**
	**  DO NOT EDIT THIS FILE
	**  You can add code by using the
	**  the 'pipdig > Theme Hooks' page
	**
	**************************************/
	?>
</head>

<body <?php body_class(); ?>>
	
	<?php wp_body_open(); ?>
	
	<?php if (get_theme_mod('header_version', 1) == 1) { ?>
		
		<?php
		$space = absint(get_theme_mod('p_header_space', 3));
		if ($space == 2) {
			$col_1 = 2;
			$col_2 = 10;
		} elseif ($space == 3) {
			$col_1 = 3;
			$col_2 = 9;
		} elseif ($space == 4) {
			$col_1 = 4;
			$col_2 = 8;
		} elseif ($space == 5) {
			$col_1 = 5;
			$col_2 = 7;
		} elseif ($space == 6) {
			$col_1 = 6;
			$col_2 = 6;
		} else {
			$col_1 = 4;
			$col_2 = 8;
		}
		?>
		
		<header class="site-header nopin">
			<?php if ( is_admin_bar_showing() ) { ?><div class="wpadminbar-nudge"></div><?php } // fixed top navbar with admin bar ?>
			<div class="clearfix container">
				<div class="row">
					<div class="col-xs-12 col-sm-<?php echo $col_1; ?> site-branding">
						<?php
						$heading_tag = ( is_home() || is_front_page() ) ? 'h1' : 'div';
						if (get_theme_mod('logo_image')) {
							?>
							<<?php echo $heading_tag; ?> class="site-title">
								<a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home">
									<img data-pin-nopin="true" src="<?php echo str_replace('http:', '', esc_url(get_theme_mod('logo_image'))); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" />
								</a>
							</<?php echo $heading_tag; ?>>
						<?php } else { ?>
							<<?php echo $heading_tag; ?> class="site-title">
								<a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home">
									<?php bloginfo( 'name' ); ?>
								</a>
							</<?php echo $heading_tag; ?>>
						<?php } ?>
						<?php if (get_bloginfo('description') && (!get_theme_mod('hide_tagline', 1))){ ?>
							<div class="site-description"><?php bloginfo('description'); ?></div>
						<?php } ?>
					</div>
					<div class="col-xs-<?php echo $col_2; ?> header_section_bottom_right">
						<nav id="main_menu_under_header" class="site-menu">
							<?php wp_nav_menu( array( 'container_class' => 'menu-bar', 'theme_location' => 'primary' ) ); ?>
						</nav><!-- .site-menu -->
						<?php //do_action('p3_site_top_after'); ?>
					</div>
				</div>
			</div>
		</header><!-- .site-header -->
		
		<div class="site-main">
		
	<?php } else { // else header_version ?>
		
		<header class="site-header site-header-2 nopin">
			<div class="clearfix container">
				<div class="site-branding">
					<?php
					$heading_tag = ( is_home() || is_front_page() ) ? 'h1' : 'div';
					if (get_theme_mod('logo_image')) {
					?>
						<<?php echo $heading_tag; ?> class="site-title">
							<a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home">
								<img data-pin-nopin="true" src="<?php echo str_replace('http:', '', esc_url(get_theme_mod('logo_image'))); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" />
							</a>
						</<?php echo $heading_tag; ?>>
					<?php } else { ?>
						<<?php echo $heading_tag; ?> class="site-title">
							<a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home">
								<?php bloginfo( 'name' ); ?>
							</a>
						</<?php echo $heading_tag; ?>>
					<?php } ?>
					<?php if(get_bloginfo('description') && (false == get_theme_mod('hide_tagline', 1))){ ?>
						<div class="site-description"><?php bloginfo('description'); ?></div>
					<?php } ?>
				</div>
			</div>
		</header><!-- .site-header -->
		
		<div class="site-top">
			<?php do_action('p3_site_top_start'); ?>
			<?php if ( is_admin_bar_showing() ) { ?><div class="wpadminbar-nudge"></div><?php } // fixed top navbar with admin bar ?>
			<div class="clearfix <?php if (!get_theme_mod('full_width_menu')) echo 'container'; ?>">
				<nav id="main_menu_above_header" class="site-menu">
					<?php wp_nav_menu( array( 'container_class' => 'clearfix menu-bar', 'theme_location' => 'primary' ) ); ?>
				</nav><!-- .site-menu -->
			</div>
			<?php do_action('p3_site_top_end'); ?>
		</div><!-- .site-top -->
		
		<div class="site-main site-main-2">
	
	<?php } // end if header_version ?>
	
	
	
		<?php //do_action('p3_top_site_main'); ?>

		<?php
		if (get_theme_mod('header_full_width_slider')) {
			 if (is_single() && !get_theme_mod('header_full_width_slider_home')) {
				get_template_part('inc/sliders/singular');
			} elseif ( (is_category() || is_tag()) && !get_theme_mod('header_full_width_slider_home') ) {
				get_template_part('inc/sliders/category_tag');
			} elseif (!get_theme_mod('header_full_width_slider_home') || (is_front_page() || is_home()) ) {
				get_template_part('inc/sliders/home');
			}
		}
		
		if (get_theme_mod('p_feature_slider', 1)) {
			if (is_front_page() && !is_paged()) {
				get_template_part('inc/chunks/feature-slider');
			}
		}
		
		?>
		
		<?php if ( is_active_sidebar('header') ) { ?>
			<div id="header_widget_section" class="clearfix container textalign-center">
				<div class="col-xs-12">
					<?php dynamic_sidebar('header'); ?>
				</div>
			</div>
		<?php } ?>
		
		<?php do_action('p3_top_site_main'); // move this back to above full width slider.  just moved here for instagram ?>
		
		<div class="clearfix container">

			<?php do_action('p3_top_site_main_container'); ?>
			
			<?php if (is_front_page() && is_home() && is_active_sidebar('header-1')) { ?>
				<div id="header-1-widget-section" class="row">
					<div class="col-xs-12">
						<?php dynamic_sidebar('header-1'); ?>
					</div>
				</div>
			<?php } ?>