<?php if (!defined('ABSPATH')) die;

function pipdig_customize_scripts() {
	wp_enqueue_script( 'pipdig-reset-fonts', get_template_directory_uri().'/inc/customizer-reset-fonts.js', array('jquery') );
}
add_action( 'customize_controls_enqueue_scripts', 'pipdig_customize_scripts' );

function pipdig_fonts_customizer_reset() {
	
	// bail if not in customizer
	if (!is_customize_preview()) {
		return;
	}
	
	delete_transient('pipdig_fonts');
	
	remove_theme_mod('p_header_font');
	remove_theme_mod('header_font_size');
	remove_theme_mod('p_tagline_font');
	remove_theme_mod('p_tagline_size');
	remove_theme_mod('font_body');
	remove_theme_mod('body_font_size');
	remove_theme_mod('p_titles_font');
	remove_theme_mod('post_title_font_size');
	remove_theme_mod('p_widget_title_font');
	remove_theme_mod('pipdig_widget_title_font_size');
	remove_theme_mod('p_navbar_font');
	remove_theme_mod('pipdig_navbar_font_size');
	remove_theme_mod('p_meta_font');
	remove_theme_mod('p_meta_font_size');
	remove_theme_mod('pipdig_you_may_enjoy_size');
	remove_theme_mod('pipdig_related_post_title_size');
	remove_theme_mod('p_widget_title_home_font');
	remove_theme_mod('p_widget_title_home_font_size');
	remove_theme_mod('p_content_heading_font');
	remove_theme_mod('p_content_h2_size');
	remove_theme_mod('p_content_h3_size');
	remove_theme_mod('p_content_h4_size');
	remove_theme_mod('font_body');
	remove_theme_mod('body_font_size');
	
	remove_theme_mod('p_content_h_transform');
	remove_theme_mod('p_content_h_italic');
	remove_theme_mod('p_navbar_font_italic');
	remove_theme_mod('p_navbar_font_transform');
	remove_theme_mod('p_widget_title_font_italic');
	remove_theme_mod('p_widget_title_font_transform');
	remove_theme_mod('p_titles_font_italic');
	remove_theme_mod('p_titles_font_transform');
	remove_theme_mod('p_tagline_font_italic');
	remove_theme_mod('p_tagline_font_transform');
	remove_theme_mod('p_header_font_italic');
	remove_theme_mod('p_header_font_transform');
	remove_theme_mod('p_meta_font_transform');
	remove_theme_mod('p_meta_font_italic');
	remove_theme_mod('p_widget_title_home_transform');
	remove_theme_mod('p_widget_title_home_italic');

	wp_send_json_success();
}
add_action( 'wp_ajax_pipdig_fonts_customizer_reset', 'pipdig_fonts_customizer_reset' );


function pipdig_customizer_styles() { ?>
    <style>
		#customize-controls span.description {font-size: 90%}
		#customize-control-p3_cookies_nom {margin-top: 30px}
		
		/* font options spacing */
		#customize-control-font_body,
		#customize-control-p_tagline_font,
		#customize-control-p_titles_font,
		#customize-control-p_widget_title_font,
		#customize-control-p_widget_title_home_font,
		#customize-control-p_navbar_font,
		#customize-control-p_meta_font,
		#customize-control-pipdig_you_may_enjoy_size,
		#customize-control-p_content_heading_font
		{
			margin-top: 20px;
		}
    </style>
    <?php
}
add_action( 'customize_controls_print_styles', 'pipdig_customizer_styles', 999 );

// the beef
class pipdig_Customize {
public static function register ( $wp_customize ) {

//remove unwanted sections
//$wp_customize->remove_section( 'title_tagline' );
$wp_customize->remove_section( 'colors' );
$wp_customize->remove_section( 'static_front_page' );
//$wp_customize->remove_section( 'nav' );
$wp_customize->remove_section( 'header_image' );
//$wp_customize->remove_panel( 'widgets' );
$wp_customize->remove_control('custom_logo');

/*
$wp_customize->add_panel( 'pipdig_features', array(
    'priority'       => 200,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '',
    'title'          => 'Extra Features',
    'description'    => 'Use these options to enable/disable all kinds of extra pipdig features.',
) );
*/

if (function_exists('p3_get_cats')) {
	$cats = p3_get_cats();
} else {
	$cats = array();
}

// SECTIONS ================================================================================

$wp_customize->add_section( 'pipdig_header', 
    array(
        'title' => __( 'Header Options', 'pipdig-textdomain' ),
        'priority' => 20,
        'capability' => 'edit_theme_options',
    ) 
);

$wp_customize->add_section( 'pipdig_general_options', 
    array(
        'title' => __( 'General Options', 'pipdig-textdomain' ),
        'priority' => 25,
        'capability' => 'edit_theme_options',
    ) 
);

$wp_customize->add_section( 'pipdig_layout', 
    array(
        'title' => __( 'Layout Options', 'pipdig-textdomain' ),
        'priority' => 30,
        'capability' => 'edit_theme_options',
    ) 
);


$wp_customize->add_section( 'post_layouts', 
    array(
		'title' => 'Homepage Options',
		'priority' => 29,
		'capability' => 'edit_theme_options',
    )
);

$wp_customize->add_section( 'pipdig_colors', 
	array(
		'title' => __( 'Color Options', 'pipdig-textdomain' ),
		'priority' => 30,
		'capability' => 'edit_theme_options',
	) 
);

$wp_customize->add_section( 'pipdig_fonts', 
    array(
        'title' => __( 'Font Options', 'pipdig-textdomain' ),
		'description'=> 'You can browse and preview the fonts available on <a href="https://fonts.google.com/" target="_blank" rel="noopener">this page</a>.<br /><br /><input type="submit" class="button-secondary button" value="Reset Fonts" onclick="pipdigResetFonts()">',
        'priority' => 31,
        'capability' => 'edit_theme_options',
    ) 
);

/*
$wp_customize->add_section( 'pipdig_backgrounds' , array(
   		'title'      => __( 'Background Image', 'pipdig-textdomain' ),
   		'description'=> __( 'Use these options to add a background image to your site. Note, if you would like a solid color please use the options in the "Color Options" section above.', 'pipdig-textdomain' ),
   		'priority'   => 50,
	)
);
*/

$wp_customize->add_section( 'pipdig_category', 
    array(
        'title' => __( 'Post Category Options', 'pipdig-textdomain' ),
		'description'=> __( 'These options will apply to post categories.', 'pipdig-textdomain' ),
        'priority' => 65,
        'capability' => 'edit_theme_options',
    ) 
);

$wp_customize->add_section( 'pipdig_posts', 
    array(
        'title' => __( 'Blog Post Options', 'pipdig-textdomain' ),
        'priority' => 32,
        'capability' => 'edit_theme_options',
    ) 
);


// ====================================== gap


// default navigation section goes here.
/*
$wp_customize->add_section( 'p3_double_carousel_section' , array(
   		'title'      => 'Homepage Carousel',
   		'description'=> 'Use these options to display a 2 posts at the top of the homepage which can be scrolled through.',
		//'panel' => 'pipdig_features',
   		'priority'   => 52,
	)
);
*/

$wp_customize->add_section( 'p_feature_slider_section' , array(
   		'title'      => 'Homepage Feature Slider',
   		'description'=> 'This feature is the standard slider as shown in the theme preview.',
		//'panel' => 'pipdig_features',
   		'priority'   => 52,
	)
);

$wp_customize->add_section( 'pipdig_header_full_width_slider' , array(
   		'title'      => __( 'Full Width Slider', 'pipdig-textdomain' ),
   		'description'=> __( 'Use these options to display a full width post slider under the header.', 'pipdig-textdomain' ),
		//'panel' => 'pipdig_features',
   		'priority'   => 53,
	)
);


$wp_customize->add_section( 'pipdig_bloglovin', 
	array(
		'title' => __( "Bloglovin' Widget", 'pipdig-textdomain' ),
		'description' => __( "Use these settings to style our custom Bloglovin' Widget.", 'pipdig-textdomain' ),
		'capability' => 'edit_theme_options',
		//'panel' => 'pipdig_features',
		'priority' => 150,
	) 
);



// Header section ==========================================================================

// position
$wp_customize->add_setting('header_version',
	array(
		'default' => 1,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control('header_version',
	array(
		'type' => 'radio',
		'label' => __('Header Version', 'pipdig-textdomain'),
		'section' => 'pipdig_header',
		'choices' => array(
			1 => __('Floated Left', 'pipdig-textdomain'),
			2 => __('Full width', 'pipdig-textdomain'),
		),
	)
);

if (get_theme_mod('header_version', 1) == 1) {
	$wp_customize->add_setting('p_header_space',
		array(
			'default' => 3,
			'sanitize_callback' => 'absint',
		)
	);
	$wp_customize->add_control( 'p_header_space', array(
		'type' => 'range',
		'section' => 'pipdig_header',
		'label' => 'Header size compared to menu',
		'input_attrs' => array(
			'min' => 2,
			'max' => 6,
			'step' => 1,
		),
	)
	);
}

// Hide the tagline
$wp_customize->add_setting('hide_tagline',
	array(
		'default' => 1,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	'hide_tagline',
	array(
		'type' => 'checkbox',
		'label' => __( 'Remove the tagline from header', 'pipdig-textdomain' ),
		'section' => 'pipdig_header',
	)
);

// Header image
$wp_customize->add_setting('logo_image',
	array(
		'sanitize_callback' => 'esc_url_raw',
	)
);
$wp_customize->add_control(
       new WP_Customize_Image_Control(
           $wp_customize,
           'upload_header',
           array(
               'label'      => __( 'Upload a header image', 'pipdig-textdomain' ),
               'section'    => 'pipdig_header',
               'settings'   => 'logo_image',
           )
       )
);

if (get_theme_mod('header_version', 1) != 1) {
	// Header image padding top
	$wp_customize->add_setting( 'header_image_top_padding', array(
		'default' => 0,
		'sanitize_callback' => 'absint',
		)
	);
	$wp_customize->add_control( 'header_image_top_padding', array(
		'type' => 'range',
		'section' => 'pipdig_header',
		'label' => __( 'Header image spacing (top)', 'pipdig-textdomain' ),
		'input_attrs' => array(
			'min' => 0,
			'max' => 150,
			'step' => 5,
			),
		)
	);

	// Header image padding bottom
	$wp_customize->add_setting( 'header_image_bottom_padding', array(
		'default' => 0,
		'sanitize_callback' => 'absint',
		)
	);
	$wp_customize->add_control( 'header_image_bottom_padding', array(
		'type' => 'range',
		'section' => 'pipdig_header',
		'label' => __( 'Header image spacing (bottom)', 'pipdig-textdomain' ),
		'input_attrs' => array(
			'min' => 0,
			'max' => 150,
			'step' => 5,
			),
		)
	);
}

// Header image width retina
$wp_customize->add_setting( 'header_image_retina_width', array(
	'default' => 0,
	'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control( 'header_image_retina_width', array(
    'type' => 'number',
    'section' => 'pipdig_header',
    'label' => __( 'Header image width (pixels)', 'pipdig-textdomain' ),
	'description' => __( 'This option is not required, but can be useful if you want to force a specific size, or if you want to make the image appear more clear on retina screens. If you are unsure what this means, it is recommended that you do not edit this option.', 'pipdig-textdomain' ),
    'input_attrs' => array(
		'min' => 100,
		//'max' => 150,
		'step' => 1,
		),
	)
);


// double carousel ==============================================================================
/*
// Activate carousel
$wp_customize->add_setting('p3_double_carousel',
	array(
		'default' => 1,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	'p3_double_carousel',
	array(
		'type' => 'checkbox',
		'label' => __('Enable this feature', 'pipdig-textdomain'),
		'section' => 'p3_double_carousel_section',
	)
);


// Number of images to display in slider
$wp_customize->add_setting('p3_double_carousel_number',
    array(
        'default' => 12,
		'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control('p3_double_carousel_number',
    array(
        'type' => 'number',
        'label' => __('Number of posts', 'pipdig-textdomain'),
        'section' => 'p3_double_carousel_section',
    )
);

// Choose a category
$wp_customize->add_setting(
    'p3_double_carousel_category',
    array(
        'default' => '',
		'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new WP_Customize_Category_Control(
        $wp_customize,
        'p3_double_carousel_category',
        array(
            'label'    => __('Only display posts from:', 'pipdig-textdomain'),
            'settings' => 'p3_double_carousel_category',
            'section'  => 'p3_double_carousel_section'
        )
    )
);

// Number of images to display in slider
$wp_customize->add_setting('p3_double_carousel_title_len',
    array(
        'default' => 10,
		'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control('p3_double_carousel_title_len',
	array(
		'type' => 'number',
		'label' => __('Post title length (words):', 'pipdig-textdomain'),
		'section' => 'p3_double_carousel_section',
	)
);
*/


// p_feature_slider ==============================================================================
	
// Activate p_feature_slider
$wp_customize->add_setting('p_feature_slider',
	array(
		'default' => 1,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	'p_feature_slider',
	array(
		'type' => 'checkbox',
		'label' => 'Enable this feature',
		'section' => 'p_feature_slider_section',
	)
);

// Number of images to display in slider
$wp_customize->add_setting('p_feature_slider_num',
    array(
        'default' => 4,
		'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control('p_feature_slider_num',
    array(
        'type' => 'number',
        'label' => __('Number of posts to show in the slider', 'pipdig-textdomain'),
        'section' => 'p_feature_slider_section',
    )
);

// Slide delay in ms
$wp_customize->add_setting('p_feature_slider_delay',
    array(
        'default' => 2500,
		'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'p_feature_slider_delay',
    array(
        'type' => 'number',
        'label' => __('How long should each slide be displayed? (milliseconds)', 'pipdig-textdomain'),
        'section' => 'p_feature_slider_section',
    )
);

// Choose a category
$wp_customize->add_setting('p_feature_slider_post_category',
	array(
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control('p_feature_slider_post_category',
	array(
		'type' => 'select',
		'label'	=> __('Only display posts from:', 'pipdig-textdomain'),
		'section' => 'p_feature_slider_section',
		'choices' => $cats,
	)
);

// Show post excerpt in slider
$wp_customize->add_setting('p_feature_slider_excerpt',
	array(
		'default' => 1,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	'p_feature_slider_excerpt',
	array(
		'type' => 'checkbox',
		'label' => __( 'Display post excerpt', 'pipdig-textdomain' ),
		'section' => 'p_feature_slider_section',
	)
);

// Show view post button in slider
$wp_customize->add_setting('p_feature_slider_view_post',
	array(
		'default' => 1,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	'p_feature_slider_view_post',
	array(
		'type' => 'checkbox',
		'label' => __( 'Display "View Post" button', 'pipdig-textdomain' ),
		'section' => 'p_feature_slider_section',
	)
);


// Header Full Width Slider ==============================================================================
	
// Activate full width header Slider
$wp_customize->add_setting('header_full_width_slider',
	array(
		'default' => 0,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	'header_full_width_slider',
	array(
		'type' => 'checkbox',
		'label' => __('Enable full width slider', 'pipdig-textdomain'),
		'section' => 'pipdig_header_full_width_slider',
	)
);

// show on home or all pages?
$wp_customize->add_setting('header_full_width_slider_home',
	array(
		'default' => 0,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	'header_full_width_slider_home',
	array(
		'type' => 'checkbox',
		'label' => __('Display on home page only', 'pipdig-textdomain'),
		'section' => 'pipdig_header_full_width_slider',
	)
);

// parallax?
$wp_customize->add_setting('header_full_width_slider_parallax',
	array(
		'default' => 0,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	'header_full_width_slider_parallax',
	array(
		'type' => 'checkbox',
		'label' => __("Parallax Effect", 'pipdig-textdomain'),
		'section' => 'pipdig_header_full_width_slider',
	)
);

// Number of images to display in slider
$wp_customize->add_setting('header_full_width_slider_posts',
    array(
        'default' => 4,
		'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control('header_full_width_slider_posts',
    array(
        'type' => 'number',
        'label' => __('Number of posts to show in the slider', 'pipdig-textdomain'),
        'section' => 'pipdig_header_full_width_slider',
    )
);

// Slide delay in ms
$wp_customize->add_setting('header_full_width_slider_delay',
    array(
        'default' => 3000,
		'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'header_full_width_slider_delay',
    array(
        'type' => 'number',
        'label' => __('How long should each slide be displayed? (milliseconds)', 'pipdig-textdomain'),
        'section' => 'pipdig_header_full_width_slider',
    )
);

// Slide transition
$wp_customize->add_setting('header_full_width_slider_transition',
    array(
        'default' => 5,
		'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'header_full_width_slider_transition',
    array(
        'type' => 'select',
        'label' => __('Slider animation style', 'pipdig-textdomain'),
        'section' => 'pipdig_header_full_width_slider',
        'choices' => array(
            5 => __('Fade', 'pipdig-textdomain'),
            1 => __('Slide', 'pipdig-textdomain'),
        ),
    )
);

// Slider height
$wp_customize->add_setting('header_full_width_slider_height',
    array(
        'default' => 480,
		'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'header_full_width_slider_height',
    array(
        'type' => 'number',
        'label' => __('Image height (px)', 'pipdig-textdomain'),
        'section' => 'pipdig_header_full_width_slider',
    )
);


// Choose a category
$wp_customize->add_setting('header_full_width_slider_post_category',
	array(
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control('header_full_width_slider_post_category',
	array(
		'type' => 'select',
		'label'	=> __('Only display posts from:', 'pipdig-textdomain'),
		'section' => 'pipdig_header_full_width_slider',
		'choices' => $cats,
	)
);

// Show category in slider
$wp_customize->add_setting('header_full_width_slider_cat',
	array(
		'default' => 0,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	'header_full_width_slider_cat',
	array(
		'type' => 'checkbox',
		'label' => __( 'Display post category', 'pipdig-textdomain' ),
		'section' => 'pipdig_header_full_width_slider',
	)
);

// Show post excerpt in slider
$wp_customize->add_setting('header_full_width_slider_excerpt',
	array(
		'default' => 0,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	'header_full_width_slider_excerpt',
	array(
		'type' => 'checkbox',
		'label' => __( 'Display post excerpt', 'pipdig-textdomain' ),
		'section' => 'pipdig_header_full_width_slider',
	)
);

// Show view post button in slider
$wp_customize->add_setting('header_full_width_slider_view_post',
	array(
		'default' => 0,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	'header_full_width_slider_view_post',
	array(
		'type' => 'checkbox',
		'label' => __( 'Display "View Post" button', 'pipdig-textdomain' ),
		'section' => 'pipdig_header_full_width_slider',
	)
);


// meta slider
$wp_customize->add_setting('header_full_width_slider_metaslider',
	array(
		'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control(
	'header_full_width_slider_metaslider',
	array(
		'type' => 'text',
		'label' => 'Meta Slider (optional)',
		'description' => 'If you would prefer to display a selection of images (i.e. not just recent posts) please see <a href="https://support.pipdig.co/articles/wordpress-how-to-display-photos-in-the-full-width-slider/" target="_blank" rel="noopener">this guide</a>',
		'section' => 'pipdig_header_full_width_slider',
	)
);



// Layout section ==========================================================================

// Disable responsive
/*
$wp_customize->add_setting('disable_responsive',
	array(
		'default' => 0,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	'disable_responsive',
	array(
		'type' => 'checkbox',
		'label' => __( 'Disable Responsive layout', 'pipdig-textdomain' ),
		'description' => __( 'This theme automatically adapts to different screen sizes. Select this option to disable this, and show the same thing on all devices (not recommended).', 'pipdig-textdomain' ),
		'section' => 'pipdig_layout',
	)
);
*/

// single image layout
$wp_customize->add_setting('default_to_single_image',
	array(
		'default' => 0,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	'default_to_single_image',
	array(
		'type' => 'checkbox',
		'label' => 'Single image default',
		'description' => 'Normally this theme will display posts with 2 images. If you would prefer to show only a single image by default, select this option.',
		'section' => 'pipdig_layout',
	)
);

// image shape
$wp_customize->add_setting('p_cats_shape',
	array(
		'default' => '1',
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control('p_cats_shape',
	array(
		'type' => 'radio',
		'label' => 'Image shape for posts in archives/categories',
		'section' => 'pipdig_layout',
		'choices' => array(
			'1' => 'Portait',
			'2' => 'Landscape',
			'3' => 'Square',
		),
	)
);

// Container width
$wp_customize->add_setting( 'container_width',
	array(
		'default' => 1140,
		'capability' => 'edit_theme_options',
		'sanitize_callback' => 'absint',
	)
);

$wp_customize->add_control( 'container_width',
	array(
		'type' => 'number',
		'section' => 'pipdig_layout',
		'label' => __( 'Main Width', 'pipdig-textdomain' ),
		'description' => __( 'The number below is how wide your homepage is in pixels:', 'pipdig-textdomain' ),
		'input_attrs' => array(
			'min' => 800,
			'max' => 1280,
			'step' => 10,
		),
	)
);

// is_singular() Container width
$wp_customize->add_setting( 'container_width_single',
	array(
		'default' => absint(get_theme_mod('container_width', 1140)),
		'capability' => 'edit_theme_options',
		'sanitize_callback' => 'absint',
	)
);

$wp_customize->add_control( 'container_width_single',
	array(
		'type' => 'number',
		'section' => 'pipdig_layout',
		'label' => __( 'Individual Posts/Pages Width', 'pipdig-textdomain' ),
		'description' => __( 'The number below is how wide your individual blog posts/pages are in pixels:', 'pipdig-textdomain' ),
		'input_attrs' => array(
			'min' => 800,
			'max' => 1280,
			'step' => 10,
		),
	)
);


// Sidebar position
$wp_customize->add_setting( 'sidebar_position',
	array(
		'default' => 'right',
		'capability' => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control( 'sidebar_position',
	array(
		'type' => 'radio',
		'section' => 'pipdig_layout',
		'label' => __( 'Sidebar position:', 'pipdig-textdomain' ),
		'choices' => array(
            'left' => __( 'Left', 'pipdig-textdomain' ),
            'right' => __( 'Right', 'pipdig-textdomain' ),
        ),
	)
);

// Full width layout
$wp_customize->add_setting('full_width_layout',
	array(
		'default' => 0,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	'full_width_layout',
	array(
		'type' => 'checkbox',
		'label' => __( 'Completely disable the sidebar', 'pipdig-textdomain' ),
		'description' => __( 'Removes the sidebar from all pages and posts. This will override any settings below.', 'pipdig-textdomain' ),
		'section' => 'pipdig_layout',
	)
);

// is_home() sidebar
$wp_customize->add_setting('disable_sidebar_home',
	array(
		'default' => 1,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	'disable_sidebar_home',
	array(
		'type' => 'checkbox',
		'label' => __( 'Disable sidebar on home/blog', 'pipdig-textdomain' ),
		'section' => 'pipdig_layout',
	)
);

// is_archive() sidebar
$wp_customize->add_setting('disable_sidebar_archive',
	array(
		'default' => 1,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	'disable_sidebar_archive',
	array(
		'type' => 'checkbox',
		'label' => __( 'Disable sidebar on categories/archives', 'pipdig-textdomain' ),
		'section' => 'pipdig_layout',
	)
);

// is_single() sidebar
$wp_customize->add_setting('disable_sidebar_posts',
	array(
		'default' => 0,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	'disable_sidebar_posts',
	array(
		'type' => 'checkbox',
		'label' => __( 'Disable sidebar on all posts', 'pipdig-textdomain' ),
		'section' => 'pipdig_layout',
	)
);


// is_page() sidebar
$wp_customize->add_setting('disable_sidebar_pages',
	array(
		'default' => 0,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	'disable_sidebar_pages',
	array(
		'type' => 'checkbox',
		'label' => __( 'Disable sidebar on all pages', 'pipdig-textdomain' ),
		'section' => 'pipdig_layout',
	)
);


if ( class_exists('Woocommerce') ) { // woocommerce active?
	// is_woocommerce() sidebar
	$wp_customize->add_setting('disable_sidebar_woocommerce',
		array(
			'default' => 0,
			'sanitize_callback' => 'absint',
		)
	);
	$wp_customize->add_control(
		'disable_sidebar_woocommerce',
		array(
			'type' => 'checkbox',
			'label' => __( 'Disable sidebar on WooCommerce', 'pipdig-textdomain' ),
			'section' => 'pipdig_layout',
		)
	);
}



 
// Post options section ==========================================================================

// Show titles on category pages
$wp_customize->add_setting('p_cats_show_titles',
	array(
		'default' => 1,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	'p_cats_show_titles',
	array(
		'type' => 'checkbox',
		'label' => __( 'Show post titles under each post when viewing a category. Disable this option to only show titles on hover.', 'pipdig-textdomain' ),
		'section' => 'pipdig_posts',
	)
);

// Show author under title?
$wp_customize->add_setting('show_author',
	array(
		'default' => 0,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	'show_author',
	array(
		'type' => 'checkbox',
		'label' => __( 'Show author name on posts', 'pipdig-textdomain' ),
		'description' => __( "Shows the author's name next to the date on each post header", 'pipdig-textdomain' ),
		'section' => 'pipdig_posts',
	)
);

// Show cat under title?
$wp_customize->add_setting('hide_cats',
	array(
		'default' => 0,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	'hide_cats',
	array(
		'type' => 'checkbox',
		'label' => __( 'Remove post category', 'pipdig-textdomain' ),
		'section' => 'pipdig_posts',
	)
);

// Hide dates
$wp_customize->add_setting('hide_dates',
	array(
		'default' => 0,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	'hide_dates',
	array(
		'type' => 'checkbox',
		'label' => __( 'Remove post dates', 'pipdig-textdomain' ),
		'section' => 'pipdig_posts',
	)
);

// Hide comments link
$wp_customize->add_setting('hide_comments_link',
	array(
		'default' => 0,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control('hide_comments_link',
	array(
		'type' => 'checkbox',
		'label' => __( 'Remove link to comments', 'pipdig-textdomain' ),
		'section' => 'pipdig_posts',
	)
);

// Hide tags
$wp_customize->add_setting('hide_post_tags',
	array(
		'default' => 0,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control('hide_post_tags',
	array(
		'type' => 'checkbox',
		'label' => __( 'Remove tags from posts', 'pipdig-textdomain' ),
		'section' => 'pipdig_posts',
	)
);

// Show socialz in post signature?
$wp_customize->add_setting('show_socialz_signature',
	array(
		'default' => 0,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	'show_socialz_signature',
	array(
		'type' => 'checkbox',
		'label' => __( 'Display Social Media follow section', 'pipdig-textdomain' ),
		'description' => __( 'This option will add links to your social media pages at the end of each post.', 'pipdig-textdomain' ),
		'section' => 'pipdig_posts',
	)
);

// Signature image
$wp_customize->add_setting('post_signature_image',
	array(
		'sanitize_callback' => 'esc_url_raw',
	)
);
$wp_customize->add_control(
	new WP_Customize_Image_Control(
		$wp_customize,
		'signature_image',
		array(
			'label' => __( 'Post signature image', 'pipdig-textdomain' ),
			'description' => __( 'This image will be shown in the footer of your posts', 'pipdig-textdomain' ),
			'section' => 'pipdig_posts',
			'settings' => 'post_signature_image',
		)
	)
);


// General Options section ==========================================================================


// Add search toggle to navbar
$wp_customize->add_setting('site_top_search',
	array(
		'default' => 0,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	'site_top_search',
	array(
		'type' => 'checkbox',
		'label' => __( 'Search button', 'pipdig-textdomain' ),
		'section' => 'p3_navbar_icons_section',
	)
);

// Show socialz in footer with counter?
$wp_customize->add_setting('social_count_footer',
	array(
		'default' => 0,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	'social_count_footer',
	array(
		'type' => 'checkbox',
		'label' => __( 'Display social counter in the Footer', 'pipdig-textdomain' ),
		'description' => __( 'Select this option to show your social media follower counts at the bottom of your website.', 'pipdig-textdomain' ),
		'section' => 'pipdig_general_options',
	)
);

// Left align menu
/*
$wp_customize->add_setting('left_align_menu',
	array(
		'default' => 0,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	'left_align_menu',
	array(
		'type' => 'checkbox',
		'label' => __( 'Left align the menu/navbar', 'pipdig-textdomain' ),
		'description' => __( 'Select this option to align the navbar menu items to the left, rather than in the center.', 'pipdig-textdomain' ),
		'section' => 'pipdig_general_options',
	)
);
*/

/*
// full width menu
$wp_customize->add_setting('full_width_menu',
	array(
		'default' => 0,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	'full_width_menu',
	array(
		'type' => 'checkbox',
		'label' => __( 'Full width menu/navbar', 'pipdig-textdomain' ),
		'section' => 'pipdig_general_options',
	)
);
*/

$wp_customize->add_setting('pipdig_lazy',
	array(
		'default' => 0,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	'pipdig_lazy',
	array(
		'type' => 'checkbox',
		'label' => '"Lazy Load" images to speed up your homepage.',
		'section' => 'pipdig_general_options',
	)
);

$wp_customize->add_setting('copyright_statement',
	array(
		'sanitize_callback' => 'pipdig_sanitize_text_html',
	)
);
$wp_customize->add_control(
	'copyright_statement',
	array(
		'type' => 'text',
		'label' => __( 'Copyright text in footer:', 'pipdig-textdomain' ),
		'section' => 'pipdig_general_options',
		'input_attrs' => array(
			'placeholder' => '&copy; '.date('Y').' '.get_bloginfo('name'),
		),
	)
);


// Background Image section ===============================================

	// background color
	$wp_customize->add_setting('pipdig_bloglovin_widget_background_color',
		array(
			'default' => '#ffffff',
			//'transport'=>'postMessage',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'pipdig_bloglovin_widget_background_color',
		array(
			'label' => __( 'Background color', 'pipdig-textdomain' ),
			'section' => 'pipdig_bloglovin',
			'settings' => 'pipdig_bloglovin_widget_background_color',
		)
		)
	);

	// border color
	$wp_customize->add_setting('pipdig_bloglovin_widget_border_color',
		array(
			'default' => '#cccccc',
			//'transport'=>'postMessage',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'pipdig_bloglovin_widget_border_color',
		array(
			'label' => __( 'Border color', 'pipdig-textdomain' ),
			'section' => 'pipdig_bloglovin',
			'settings' => 'pipdig_bloglovin_widget_border_color',
		)
		)
	);

	// text color
	$wp_customize->add_setting('pipdig_bloglovin_widget_text_color',
		array(
			'default' => '#000000',
			//'transport'=>'postMessage',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'pipdig_bloglovin_widget_text_color',
		array(
			'label' => __( 'Text color', 'pipdig-textdomain' ),
			'section' => 'pipdig_bloglovin',
			'settings' => 'pipdig_bloglovin_widget_text_color',
		)
		)
	);

	$wp_customize->add_setting('pipdig_bloglovin_widget_icon',
		array(
			'default' => 'heart',
			//'sanitize_callback' => 'bloglovin_widget_sanitize_icon',
		)
	);
	 
	$wp_customize->add_control('pipdig_bloglovin_widget_icon',
		array(
			'type' => 'radio',
			'label' => __( 'Widget Icon', 'pipdig-textdomain' ),
			'section' => 'pipdig_bloglovin',
			'choices' => array(
				'heart' => __( 'Heart', 'pipdig-textdomain' ),
				'plus' => __( 'Plus', 'pipdig-textdomain' ),
				'none' => __( 'None', 'pipdig-textdomain' ),
			),
		)
	);
	


// Use Bloglovin official widget?
$wp_customize->add_setting('pipdig_bloglovin_widget_official',
	array(
		'default' => 0,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control('pipdig_bloglovin_widget_official',
	array(
		'type' => 'checkbox',
		'label' => __( "Use the official Bloglovin' widget", 'pipdig-textdomain' ),
		'description' => __( "Select this option if you would prefer to use the official Bloglovin' widget.", 'pipdig-textdomain' ),
		'section' => 'pipdig_bloglovin',
	)
);


// Theme colors section ==========================================================================

// Main background color
$wp_customize->add_setting('main_bg_color',
	array(
		'default' => '#ffffff',
		//'transport'=>'postMessage',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'main_bg_color',
	array(
		'label' => __( 'Main background color', 'pipdig-textdomain' ),
		'section' => 'pipdig_colors',
		'settings' => 'main_bg_color',
	)
	)
);

// Secondary background color
$wp_customize->add_setting('secondary_bg_color',
	array(
		'default' => '',
		//'transport'=>'postMessage',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'secondary_bg_color',
	array(
		'label' => __( 'Secondary background color', 'pipdig-textdomain' ),
		'section' => 'pipdig_colors',
		'settings' => 'secondary_bg_color',
	)
	)
);

// Navbar text color
$wp_customize->add_setting('navbar_text_color',
	array(
		'default' => '#000000',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'navbar_text_color',
	array(
		'label' => __( 'Top Navbar text color', 'pipdig-textdomain' ),
		'section' => 'pipdig_colors',
		'settings' => 'navbar_text_color',
	)
	)
);

// Navbar text hover color
$wp_customize->add_setting('navbar_text_color_hover',
	array(
		'default' => '#999999',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'navbar_text_color_hover',
	array(
		'label' => __( 'Top Navbar text hover color', 'pipdig-textdomain' ),
		'section' => 'pipdig_colors',
		'settings' => 'navbar_text_color_hover',
	)
	)
);

// Navbar background color
if ((get_theme_mod('header_version', 1) != 1) || (!get_theme_mod('p_feature_slider', 1))) {
	
	$wp_customize->add_setting('navbar_background_color',
		array(
			'default' => '',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'navbar_background_color',
		array(
			'label' => __( 'Top Navbar background color', 'pipdig-textdomain' ),
			'section' => 'pipdig_colors',
			'settings' => 'navbar_background_color',
		)
		)
	);
	
}


// Header text color
$wp_customize->add_setting('header_color',
	array(
		'default' => '#000000',
		'transport'=>'postMessage',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'header_color',
	array(
		'label' => __( 'Header text color', 'pipdig-textdomain' ),
		'section' => 'pipdig_colors',
		'settings' => 'header_color',
	)
	)
);


// main text colour
$wp_customize->add_setting('body_font_color',
	array(
		'default' => '#333333',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'body_font_color',
	array(
		'label' => __( 'Main text color', 'pipdig-textdomain' ),
		'section' => 'pipdig_colors',
		'settings' => 'body_font_color',
	)
	)
);

 
// Post title color
$wp_customize->add_setting('post_title_color',
	array(
		'default' => '#000000',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'post_title_color',
	array(
		'label' => __( 'Post title color', 'pipdig-textdomain' ),
		'section' => 'pipdig_colors',
		'settings' => 'post_title_color',
	)
	)
);


// Post title hover color
$wp_customize->add_setting('post_title_hover_color',
	array(
		'default' => '#999999',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'post_title_hover_color',
	array(
		'label' => __( 'Post title hover color', 'pipdig-textdomain' ),
		'section' => 'pipdig_colors',
		'settings' => 'post_title_hover_color',
	)
	)
);


// Post links color
$wp_customize->add_setting('post_links_color',
	array(
		'default' => '#999999',
		'transport'=>'postMessage',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'post_links_color',
	array(
		'label' => __( 'Post links color', 'pipdig-textdomain' ),
		'section' => 'pipdig_colors',
		'settings' => 'post_links_color',
	)
	)
);


// Post links hover color
$wp_customize->add_setting('post_links_hover_color',
	array(
		'default' => '#000000',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'post_links_hover_color',
	array(
		'label' => __( 'Post links hover color', 'pipdig-textdomain' ),
		'section' => 'pipdig_colors',
		'settings' => 'post_links_hover_color',
	)
	)
);

// main border color
$wp_customize->add_setting('main_border_color', // needs a prefix for some reason...
	array(
		'default' => '#111111',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'main_border_color',
	array(
		'label' => __( 'Widget border color', 'pipdig-textdomain' ),
		'section' => 'pipdig_colors',
		'settings' => 'main_border_color',
	)
	)
);


// Widget title background color
/*
$wp_customize->add_setting('pipdig_widget_title_background_color', // needs a prefix for some reason...
	array(
		'default' => '#eeeeee',
		'transport'=>'postMessage',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'pipdig_widget_title_background_color',
	array(
		'label' => __( 'Widget title background color', 'pipdig-textdomain' ),
		'section' => 'pipdig_colors',
		'settings' => 'pipdig_widget_title_background_color',
	)
	)
);
*/

// Widget title text color
$wp_customize->add_setting('pipdig_widget_title_text_color',
	array(
		'default' => '#000000',
		'transport'=>'postMessage',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'pipdig_widget_title_text_color',
	array(
		'label' => __( 'Widget title text color', 'pipdig-textdomain' ),
		'section' => 'pipdig_colors',
		'settings' => 'pipdig_widget_title_text_color',
	)
	)
);


// read more background color
$wp_customize->add_setting('pipdig_readmore_background_color',
	array(
		'default' => '#111111',
		//'transport'=>'postMessage',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'pipdig_readmore_background_color',
	array(
		'label' => __( '"View Post" button background', 'pipdig-textdomain' ),
		'section' => 'pipdig_colors',
		'settings' => 'pipdig_readmore_background_color',
	)
	)
);

// read more text color
$wp_customize->add_setting('pipdig_readmore_text_color',
	array(
		'default' => '#ffffff',
		//'transport'=>'postMessage',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'pipdig_readmore_text_color',
	array(
		'label' => __( '"View Post" button text', 'pipdig-textdomain' ),
		'section' => 'pipdig_colors',
		'settings' => 'pipdig_readmore_text_color',
	)
	)
);


// Social Icon color
$wp_customize->add_setting('social_color',
	array(
		'default' => '#111111',
		'transport'=>'postMessage',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'social_color',
	array(
		'label' => __( 'Social Icon color', 'pipdig-textdomain' ),
		'section' => 'pipdig_colors',
		'settings' => 'social_color',
	)
	)
);

// Social Icon Hover color
$wp_customize->add_setting('social_hover_color',
	array(
		'default' => '#999999',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'social_hover_color',
	array(
		'label' => __( 'Social Icon Hover color', 'pipdig-textdomain' ),
		'section' => 'pipdig_colors',
		'settings' => 'social_hover_color',
	)
	)
);

// Footer Widgets background color
$wp_customize->add_setting('footer_widgets_bg_color',
	array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'footer_widgets_bg_color',
	array(
		'label' => __( 'Footer Widgets Background Color', 'pipdig-textdomain' ),
		'section' => 'pipdig_colors',
		'settings' => 'footer_widgets_bg_color',
	)
	)
);

// Footer bar background color
$wp_customize->add_setting('footer_bar_bg_color',
	array(
		'default' => '#111111',
		'transport'=>'postMessage',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'footer_bar_bg_color',
	array(
		'label' => __( 'Footer Bar Background Color', 'pipdig-textdomain' ),
		'section' => 'pipdig_colors',
		'settings' => 'footer_bar_bg_color',
	)
	)
);

// Footer bar background color
$wp_customize->add_setting('footer_bar_text_color',
	array(
		'default' => '#ffffff',
		'transport'=>'postMessage',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'footer_bar_text_color',
	array(
		'label' => __( 'Footer Bar Text Color', 'pipdig-textdomain' ),
		'section' => 'pipdig_colors',
		'settings' => 'footer_bar_text_color',
	)
	)
);



// Font sizes =====================================================================

$fonts_array = pipdig_get_fonts();


// header
$slugs = array('p_header_font', 'header_font_size', 'p_header_font_transform', 'p_header_font_italic');
p3_build_cc($wp_customize, $fonts_array, $slugs, 'Header/Logo', 'Paradise', 80, 0, 0, false, 'https://i.imgur.com/lkkXBB9.png');

// tagline
$slugs = array('p_tagline_font', 'p_tagline_size', 'p_tagline_font_transform', 'p_tagline_font_italic');
p3_build_cc($wp_customize, $fonts_array, $slugs, 'Site tagline', 'Montserrat', 10, 1, 0, false, 'https://i.imgur.com/znxRfGQ.png');

// body
$slugs = array('font_body', 'body_font_size');
p3_build_cc($wp_customize, $fonts_array, $slugs, 'Main body', 'Georgia', 14, false, false, false, 'https://i.imgur.com/1eWuPZr.png');

// post titles
$slugs = array('p_titles_font', 'post_title_font_size', 'p_titles_font_transform', 'p_titles_font_italic');
p3_build_cc($wp_customize, $fonts_array, $slugs, 'Post titles', 'Playfair+Display', 26, 0, 0, false, 'https://i.imgur.com/q6cjaeR.jpg');

// post meta
$slugs = array('p_meta_font', 'p_meta_font_size', 'p_meta_font_transform', 'p_meta_font_italic');
p3_build_cc($wp_customize, $fonts_array, $slugs, 'Post dates/meta', 'Montserrat', 10, 1, 0, false, 'https://i.imgur.com/xq4KRM8.jpg');

// navbar
$slugs = array('p_navbar_font', 'pipdig_navbar_font_size', 'p_navbar_font_transform', 'p_navbar_font_italic');
p3_build_cc($wp_customize, $fonts_array, $slugs, 'Main menu/navbar', 'Montserrat', 11, 1, 0, false, 'https://i.imgur.com/YhHJT6s.png');

// widget titles
$slugs = array('p_widget_title_font', 'pipdig_widget_title_font_size', 'p_widget_title_font_transform', 'p_widget_title_font_italic');
p3_build_cc($wp_customize, $fonts_array, $slugs, 'Widget titles', 'Montserrat', 11, 1, 0, false, 'https://i.imgur.com/uq9H6Zg.png');

// homepage widget titles
$slugs = array('p_widget_title_home_font', 'p_widget_title_home_font_size', 'p_widget_title_home_transform', 'p_widget_title_home_italic');
p3_build_cc($wp_customize, $fonts_array, $slugs, 'Homepage widget titles', 'Playfair+Display', 22, 0, 0, false, 'https://i.imgur.com/Nmkmjmh.png');

// 'You may also enjoy' font size
$wp_customize->add_setting( 'pipdig_you_may_enjoy_size', array(
	'default' => 20,
	'capability' => 'edit_theme_options',
	'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control( 'pipdig_you_may_enjoy_size', array(
	'type' => 'number',
	'section' => 'pipdig_fonts',
	'label' => '"You may also enjoy:" size',
	'input_attrs' => array(
		'min' => 4,
		'max' => 100,
		'step' => 1,
		),
	)
);




// post content headings font
$wp_customize->add_setting('p_content_heading_font',
	array(
		'default' => 'Playfair+Display',
		'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control('p_content_heading_font',
	array(
		'type' => 'select',
		'label' => 'Post Content Headings Font',
		'description' => '<a href="https://i.imgur.com/NKT5JmZ.png" target="_blank" rel="noopener">'.__("What's this?", "pipdig-textdomain").'</a>',
		'section' => 'pipdig_fonts',
		'choices' => $fonts_array,
	)
);

// .entry-content h2 size
$wp_customize->add_setting( 'p_content_h2_size', array(
	'default' => 20,
	'capability' => 'edit_theme_options',
	'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control( 'p_content_h2_size', array(
	'type' => 'number',
	'section' => 'pipdig_fonts',
	'label' => 'Content Heading 2 (H2) Size',
	'input_attrs' => array(
		'min' => 4,
		'max' => 100,
		'step' => 1,
		),
	)
);
// .entry-content h3 size
$wp_customize->add_setting( 'p_content_h3_size', array(
	'default' => 20,
	'capability' => 'edit_theme_options',
	'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control( 'p_content_h3_size', array(
	'type' => 'number',
	'section' => 'pipdig_fonts',
	'label' => 'Content Heading 3 (H3) Size',
	'input_attrs' => array(
		'min' => 4,
		'max' => 100,
		'step' => 1,
		),
	)
);
// .entry-content h4 size
$wp_customize->add_setting( 'p_content_h4_size', array(
	'default' => 18,
	'capability' => 'edit_theme_options',
	'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control( 'p_content_h4_size', array(
	'type' => 'number',
	'section' => 'pipdig_fonts',
	'label' => 'Content Heading 4 (H4) Size',
	'input_attrs' => array(
		'min' => 4,
		'max' => 100,
		'step' => 1,
		),
	)
);

$wp_customize->add_setting('p_content_h_transform',
	array(
		'default' => 0,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control('p_content_h_transform',
	array(
		'type' => 'checkbox',
		'label' => 'Uppercase',
		'section' => 'pipdig_fonts',
	)
);

$wp_customize->add_setting('p_content_h_italic',
	array(
		'default' => 0,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control('p_content_h_italic',
	array(
		'type' => 'checkbox',
		'label' => 'Italic',
		'section' => 'pipdig_fonts',
	)
);



// number of products to display
$wp_customize->add_setting( 'number_of_products_index', array(
	'default' => 20,
	'capability' => 'edit_theme_options',
	'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control( 'number_of_products_index', array(
	'type' => 'number',
	'section' => 'woocommerce_product_catalog',
	'label' => __( 'Number of Products displayed in the shop:', 'pipdig-textdomain' ),
	'input_attrs' => array(
		'min' => 4,
		'max' => 40,
		'step' => 4,
		),
	)
);

// Hide social sharing icons
$wp_customize->add_setting('hide_social_sharing_products',
	array(
		'default' => 0,
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control('hide_social_sharing_products',
	array(
		'type' => 'checkbox',
		'label' => __( 'Remove sharing icons from products', 'pipdig-textdomain' ),
		'section' => 'woocommerce_product_catalog',
	)
);


}




public static function live_preview() {
	wp_enqueue_script( 
		'pipdig-themecustomizer', // Give the script a unique ID
		get_template_directory_uri().'/inc/customizer.js', // Define the path to the JS file
		array(  'jquery', 'customize-preview' ), // Define dependencies
		'', // Define a version (optional) 
		true // Specify whether to put in footer (leave this true)
	);
	}
}

// Setup the Theme Customizer settings and controls...
add_action( 'customize_register' , array( 'pipdig_Customize' , 'register' ) );

// Enqueue live preview javascript in Theme Customizer admin screen
add_action( 'customize_preview_init' , array( 'pipdig_Customize' , 'live_preview' ) );



function pipdig_sanitize_text_html( $input ) {
    return wp_kses_post( force_balance_tags( $input ) );
}



function pipdig_customizer_head_styles() {

$styles_output = '';
	
	$main_bg_color = get_theme_mod('main_bg_color', '#ffffff');
	if ($main_bg_color != '#ffffff') {
		$styles_output .= 'body, .site-header, .p_feature_slider_overlay, .widget-title span, select, textarea, input[type="text"], input[type="password"], input[type="datetime"], input[type="datetime-local"], input[type="date"], input[type="month"], input[type="time"], input[type="week"], input[type="number"], input[type="email"], input[type="url"], input[type="search"], input[type="tel"], input[type="color"], .form-control, .p3_popular_posts_widget h4, .site-main .paging-navigation a, .site-main .post-navigation a, .homepage_widget_section_inner, .p_post_date, .shopr_shopthepost .flickity-prev-next-button, .site-extra, .site-extra .container, .site-extra .widget-title span, .site-extra .p3_popular_posts_widget h4, .date-bar-white-bg, .homepage_widget_section .widget > div, .homepage_widget_section .homepage_widget_section_inner .widget_mc4wp_form_widget, .homepage_widget_section .p3_popular_posts_widget, .slicknav_menu {background:'.$main_bg_color.' !important}';
		$styles_output .= '.site-header.shift_the_nav {box-shadow: none}';
		$styles_output .= '.p_panel_bordering a, .p3_pinterest_post, .p3_instagram_post, #p3_instagram_kensington .p3_instagram_post, .slicknav_menu {border-color:'.$main_bg_color.' !important}';
		$styles_output .= '.shopthepost-widget {padding: 10px 0} ';
	}
	
	$secondary_bg_color = get_theme_mod('secondary_bg_color');
	if ($secondary_bg_color) {
		$styles_output .= '#p_feature_slider_banner, .homepage_widget_section, .site-extra, .site-extra .container, .site-extra .widget-title span, .site-extra .p3_popular_posts_widget h4, .site-extra .shopr_shopthepost .flickity-prev-next-button {background:'.$secondary_bg_color.' !important}';
		$styles_output .= '.site-extra .p3_pinterest_post, .site-extra .p3_instagram_post { border-color: '.$secondary_bg_color.' !important }';
	}
	
	// Footer widget section colour
	$footer_widgets_bg_color = get_theme_mod( 'footer_widgets_bg_color' ); 
	if ($footer_widgets_bg_color) {
		$styles_output .= '.site-extra, .site-extra .container, .site-extra .widget-title span, .site-extra .p3_popular_posts_widget h4, .site-extra .shopr_shopthepost .flickity-prev-next-button {background:'.$footer_widgets_bg_color.' !important}';
		$styles_output .= '.site-extra .p3_pinterest_post, .site-extra .p3_instagram_post { border-color: '.$footer_widgets_bg_color.' !important }';
	}

	$body_font_color = get_theme_mod( 'body_font_color', '#333333' ); 
	if ($body_font_color != '#333333') {
		$styles_output .= 'body, .entry-content h2,.entry-content h3,.entry-content h4,.entry-content h5,.entry-content h6, .pipdig_meta a {color:'.$body_font_color.'}';
	}
	
	// Navbar background color
	
	$navbar_background_color = get_theme_mod( 'navbar_background_color' ); 
	if ($navbar_background_color) {
		
		// change header area background colour, but only when correct header version and slider is not active
		if ((get_theme_mod('header_version', 1) == 1)) {
			if (!get_theme_mod('p_feature_slider', 1)) {
				$styles_output .= '.site-header {background: '.$navbar_background_color.' !important}';
			}
		} else {
			$styles_output .= '.site-top, .menu-bar ul ul, .slicknav_menu, .pipdig_navbar_search input {border-color: '.$navbar_background_color.';background: '.$navbar_background_color.' !important}';
		}
	}

	// Navbar text color
	$navbar_text_color = get_theme_mod( 'navbar_text_color', '#000000' ); 
	if ($navbar_text_color != '#000000') {
		$styles_output .= '.menu-bar ul li a,.slicknav_brand,.slicknav_brand a,.slicknav_nav a,.slicknav_menu .slicknav_menutxt{color:'.$navbar_text_color.'}';
		$styles_output .= '.pipdig_navbar_search input::-webkit-input-placeholder {color:'.$navbar_text_color.'; opacity: 1}';
		$styles_output .= '.pipdig_navbar_search input:-moz-placeholder {color:'.$navbar_text_color.'; opacity: 1}';
		$styles_output .= '.pipdig_navbar_search input::-moz-placeholder {color:'.$navbar_text_color.'; opacity: 1}';
		$styles_output .= '.pipdig_navbar_search input:-ms-input-placeholder {color:'.$navbar_text_color.'; opacity: 1}';
	}
	
	// Navbar text color hover
	$navbar_text_color_hover = get_theme_mod( 'navbar_text_color_hover', '#999999' ); 
	if ($navbar_text_color_hover != '#999999') {
		$styles_output .= '.menu-bar ul li a:hover,.menu-bar ul ul li > a:hover,.menu-bar ul ul li:hover > a{color:'.$navbar_text_color_hover.'}';
	}
	

	// Post title color
	$post_title_color = get_theme_mod( 'post_title_color', '#000000' ); 
	if ($post_title_color != '#000000') {
		$styles_output .= '.pipdig_masonry_post_title a,.entry-title,.entry-title a, .p3_popular_posts_widget h4, .panel_widget-title {color:'.$post_title_color.'}';
	}

	// Post title hover color
	$post_title_hover_color = get_theme_mod( 'post_title_hover_color', '#999999' ); 
	if ($post_title_hover_color != '#999999') {
		$styles_output .= '.pipdig_masonry_post_title a:hover,.entry-title a:hover {color:'.$post_title_hover_color.'}';
	}

	// Post links color
	$post_links_color = get_theme_mod( 'post_links_color', '#999999' ); 
	if ($post_links_color != '#999999') {
		$styles_output .= 'a, .entry-content a {color:'.$post_links_color.'}';
	}

	// Post links hover color
	$post_links_hover_color = get_theme_mod( 'post_links_hover_color', '#000000' ); 
	if ($post_links_hover_color != '#000000') {
		$styles_output .= 'a:hover{color:'.$post_links_hover_color.'}';
	}
	
	// Main border color
	$main_border_color = get_theme_mod( 'main_border_color', '#111111' ); 
	if ($main_border_color != '#111111') {
		$styles_output .= '.pipdig_cat, .entry-header .entry-meta, .hentry.floated_summary_post, .slicknav_menu, .site-top, .widget-title, .social-footer-outer, .pipdig_section_title, #p3_trending_bar .widget-title {border-color:'.$main_border_color.'}';
	}
	
	/*
	// Widget title background color
	$pipdig_widget_title_background_color = get_theme_mod( 'pipdig_widget_title_background_color', '#eeeeee' ); 
	if ($pipdig_widget_title_background_color != '#eeeeee') {
		$styles_output .= '.widget-title{background:'.$pipdig_widget_title_background_color.'}.widget-title{margin-bottom:15px;}';
	}
	*/
	
	// Widget title text color
	$pipdig_widget_title_text_color = get_theme_mod( 'pipdig_widget_title_text_color', '#000000' ); 
	if ($pipdig_widget_title_text_color != '#000000') {
		$styles_output .= '.widget-title, .pipdig_section_title span {color:'.$pipdig_widget_title_text_color.'}';
	}

	// Header text color
	$header_color = get_theme_mod( 'header_color', '#000000' );
	if ($header_color != '#000000') {
		$styles_output .= '.site-title a{color:'.$header_color.'}';
	}

	// Social Icon color
	$social_color = get_theme_mod( 'social_color', '#111111' );
	if ($social_color != '#111111') {
		$styles_output .= '.socialz a{color:'.$social_color.'}';
	}

	// Social Icon Hover color
	$social_hover_color = get_theme_mod( 'social_hover_color', '#999999' );
	if ($social_hover_color != '#999999') {
		$styles_output .= '.socialz a:hover, #p3_social_sidebar a:hover{color:'.$social_hover_color.'}';
	}
	
	// read more background color
	$pipdig_readmore_background_color = get_theme_mod( 'pipdig_readmore_background_color', '#111111' ); 
	if ($pipdig_readmore_background_color) {
		$styles_output .= '.more-link, .read-more, .site-sidebar .more-link, .site-sidebar .read-more, #pipdig_masonry_container .read-more, .btn, button, input[type="button"], input[type="reset"], input[type="submit"], .more-link:hover, .read-more:hover, #pipdig_masonry_container .read-more:hover, .btn:hover, button:hover, input[type="button"]:hover, input[type="reset"]:hover, input[type="submit"]:hover, #p_feature_slider_nav div {background:'.$pipdig_readmore_background_color.';border:0}';
	}
	
	// read more text color
	$pipdig_readmore_text_color = get_theme_mod( 'pipdig_readmore_text_color', '#ffffff' ); 
	if ($pipdig_readmore_text_color) {
		$styles_output .= '.more-link, .read-more, .site-sidebar a.more-link, .site-sidebar a.read-more, #pipdig_masonry_container .read-more, .btn, button, input[type="button"], input[type="reset"], input[type="submit"], .more-link:hover, .read-more:hover, #pipdig_masonry_container .read-more:hover, .btn:hover, button:hover, input[type="button"]:hover, input[type="reset"]:hover, input[type="submit"]:hover, #p_feature_slider_nav div {color:'.$pipdig_readmore_text_color.'}';
	}
	
	// Footer bar background color
	$footer_bar_bg_color = get_theme_mod( 'footer_bar_bg_color', '#111111' ); 
	if ($footer_bar_bg_color != '#111111') {
		$styles_output .= '.site-footer,.p3_instagram_footer_title_bar{background:'.$footer_bar_bg_color.'}';
	}
	
	// Footer bar text color
	$footer_bar_text_color = get_theme_mod( 'footer_bar_text_color', '#ffffff' ); 
	if ($footer_bar_text_color != '#ffffff') {
		$styles_output .= '.site-footer,.site-footer a,.site-footer a:hover,.social-footer,.social-footer a,.p3_instagram_footer_title_bar a, .p3_instagram_footer_title_bar a:hover, .p3_instagram_footer_title_bar a:focus, .p3_instagram_footer_title_bar a:visited{color:'.$footer_bar_text_color.'}';
	}


	// FONTS ============
		
		// Main body font
		$font_body = get_theme_mod( 'font_body', 'Georgia' );
		if ($font_body != 'Georgia') {
			$font_body = str_replace('+', ' ', $font_body);
			$styles_output .= 'body {font-family: "'.$font_body.'";}';
		}
	
		// Body font size
		$body_font_size = get_theme_mod( 'body_font_size', 14 );
		if ($body_font_size != 14) {
			$styles_output .= 'body {font-size:'.intval($body_font_size).'px; line-height: 1.4;}';
		}
		
		// Widget title font size
		$pipdig_widget_title_font_size = get_theme_mod( 'pipdig_widget_title_font_size', 11 );
		if ($pipdig_widget_title_font_size != 11) {
			$styles_output .= '.widget-title {font-size:'.intval($pipdig_widget_title_font_size).'px}';
		}
		
		// menu font size
		$pipdig_navbar_font_size = get_theme_mod( 'pipdig_navbar_font_size', 11 );
		if ($pipdig_navbar_font_size != 11) {
			$styles_output .= '.menu-bar ul li a, .slicknav_menu{font-size:'.intval($pipdig_navbar_font_size).'px}';
		}
		
		// "you may enjoy" title font size
		$pipdig_you_may_enjoy_size = get_theme_mod( 'pipdig_you_may_enjoy_size', 20 );
		if ($pipdig_you_may_enjoy_size != 20) {
			$styles_output .= '.entry-content .pipdig_p3_related_posts h3, .pipdig_p3_related_posts h3{font-size:'.intval($pipdig_you_may_enjoy_size).'px}';
		}
		
		// pipdig_meta font size
		$p_meta_font_size = get_theme_mod( 'p_meta_font_size', 10 );
		if ($p_meta_font_size != 10) {
			$styles_output .= '.pipdig_meta, .pipdig_cat, .btn, button, input[type="button"], input[type="reset"], input[type="submit"], .entry-meta, .site-main .paging-navigation a, .site-main .post-navigation a, .site-main .post-navigation a, .site-main .post-navigation .meta-nav, .comment-meta, .comment-date, .cat-item a, .widget_archive a, .pipdig-cats, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .pipdig-slider-cats, .read-more, .more-link {font-size:'.$p_meta_font_size.'px}';
		}
		
		if (get_theme_mod('p_meta_font_transform', 1) == false) {
			$styles_output .= '.pipdig_meta, .pipdig_cat, .btn, button, input[type="button"], input[type="reset"], input[type="submit"], .entry-meta, .site-main .paging-navigation a, .site-main .post-navigation a, .site-main .post-navigation a, .site-main .post-navigation .meta-nav, .comment-meta, .comment-date, .cat-item a, .widget_archive a, .pipdig-cats, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .pipdig-slider-cats, .read-more, .more-link {text-transform: none}';
		}
		if (get_theme_mod('p_meta_font_italic')) {
			$styles_output .= '.pipdig_meta, .pipdig_cat, .btn, button, input[type="button"], input[type="reset"], input[type="submit"], .entry-meta, .site-main .paging-navigation a, .site-main .post-navigation a, .site-main .post-navigation a, .site-main .post-navigation .meta-nav, .comment-meta, .comment-date, .cat-item a, .widget_archive a, .pipdig-cats, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .pipdig-slider-cats, .read-more, .more-link {font-style: italic}';
		}
		
		// post content headings font
		$p_content_heading_font = get_theme_mod( 'p_content_heading_font', 'Playfair+Display+SC' );
		if ($p_content_heading_font != 'Playfair+Display+SC') {
			$p_content_heading_font = str_replace('+', ' ', $p_content_heading_font);
			$styles_output .= '.entry-content h1, .entry-content h2, .entry-content h3, .entry-content h4, .entry-content h5, .entry-content h6 {letter-spacing: 0; font-family: "'.$p_content_heading_font.'"}';
		}
		
		// H2 font size
		$p_content_h2_size = get_theme_mod( 'p_content_h2_size', 20 );
		if ($p_content_h2_size != 20) {
			$styles_output .= '.entry-content h2 {font-size:'.intval($p_content_h2_size).'px}';
		}
		// H3 font size
		$p_content_h3_size = get_theme_mod( 'p_content_h3_size', 20 );
		if ($p_content_h3_size != 20) {
			$styles_output .= '.entry-content h3 {font-size:'.intval($p_content_h3_size).'px}';
		}
		// H4 font size
		$p_content_h4_size = get_theme_mod( 'p_content_h4_size', 19 );
		if ($p_content_h4_size != 19) {
			$styles_output .= '.entry-content h4 {font-size:'.intval($p_content_h4_size).'px}';
		}
		
		if (get_theme_mod('p_content_h_transform')) {
			$styles_output .= '.entry-content h1, .entry-content h2, .entry-content h3, .entry-content h4, .entry-content h5, .entry-content h6 {text-transform: uppercase}';
		}
		if (get_theme_mod('p_content_h_italic')) {
			$styles_output .= '.entry-content h1, .entry-content h2, .entry-content h3, .entry-content h4, .entry-content h5, .entry-content h6 {font-style:italic}';
		}
		
		// header font
		$p_header_font = get_theme_mod( 'p_header_font', 'Paradise' );
		if ($p_header_font != 'Paradise') {
			$p_header_font = str_replace('+', ' ', $p_header_font);
			$styles_output .= '.site-title {font-family: "'.$p_header_font.'"; line-height: 1;} @media only screen and (max-width: 769px) { .site-title {font-size: 45px} }';
			if (get_theme_mod('header_version', 1) == 1) {
				$styles_output .= '@media only screen and (min-width: 769px) { .site-header .container { padding-top: 30px; padding-bottom: 30px; } }';
			}
		} else {
			$styles_output .= '.site-header.shift_the_nav .container { padding-top: 0 !important; padding-bottom: 0 !important; } .site-description { margin-top: 0 }';
		}
		
		if (get_theme_mod('p_header_font_transform')) {
			$styles_output .= '.site-title {text-transform: uppercase}';
		}
		if (get_theme_mod('p_header_font_italic')) {
			$styles_output .= '.site-title {font-style: italic}';
		}
		
		// Header font size
		$header_font_size = get_theme_mod( 'header_font_size', 80 );
		if (($header_font_size != 80) || ($p_header_font != 'Paradise')) {
			$styles_output .= '@media only screen and (min-width:770px) {
				.site-title {font-size:'.intval($header_font_size).'px}';
				if ($header_font_size > 80) {
					$styles_output .= '.site-header.shift_the_nav .container .site-title {font-size:'.intval($header_font_size/1.25).'px}';
				} else {
					$styles_output .= '.site-header.shift_the_nav .container .site-title {font-size:'.intval($header_font_size).'px}';
				}
			$styles_output .= '}';
		}
		
		// Tagline font
		$p_tagline_font = get_theme_mod( 'p_tagline_font', 'Montserrat' );
		if ($p_tagline_font != 'Montserrat') {
			$p_tagline_font = str_replace('+', ' ', $p_tagline_font);
			$styles_output .= '.site-description {letter-spacing: 0; font-family: "'.strip_tags($p_tagline_font).'"}';
		}
		
		// Tagline font size
		$p_tagline_size = get_theme_mod( 'p_tagline_size', 10 );
		if ($p_tagline_size != 10) {
			$styles_output .= '.site-description {font-size:'.intval($p_tagline_size).'px}';
		}
		
		if (get_theme_mod('p_tagline_font_transform', 1) == false) {
			$styles_output .= '.site-description {text-transform: none}';
		}
		if (get_theme_mod('p_tagline_font_italic')) {
			$styles_output .= '.site-description {font-style: italic}';
		}
		
		// widget titles font
		$p_widget_title_font = get_theme_mod( 'p_widget_title_font', 'Montserrat' );
		if ($p_widget_title_font != 'Montserrat') {
			$p_widget_title_font = str_replace('+', ' ', $p_widget_title_font);
			$styles_output .= '.widget-title {letter-spacing: 0;font-family: "'.$p_widget_title_font.'"}';
		}
		
		if (get_theme_mod('p_widget_title_font_transform', 1) == false) {
			$styles_output .= '.widget-title {text-transform: none}';
		}
		if (get_theme_mod('p_widget_title_font_italic')) {
			$styles_output .= '.widget-title {font-style: italic}';
		}
		
		// homepage widget titles font
		$p_widget_title_home_font = get_theme_mod('p_widget_title_home_font', 'Playfair+Display');
		if ($p_widget_title_home_font != 'Playfair+Display') {
			$p_widget_title_home_font = str_replace('+', ' ', $p_widget_title_home_font);
			$styles_output .= '.homepage_widget_section .panel_widget-title {font-family: "'.$p_widget_title_home_font.'"; line-height: 1; font-weight: 400; margin-top: 0; }';
		}
		
		// Homepage widget title font size
		$p_widget_title_home_font_size = get_theme_mod( 'p_widget_title_home_font_size', 22 );
		if ($p_widget_title_home_font_size != 22) {
			$styles_output .= '.homepage_widget_section .panel_widget-title {font-size:'.$p_widget_title_home_font_size.'px;}';
		}
		
		if (get_theme_mod('p_widget_title_home_transform')) {
			$styles_output .= '.homepage_widget_section .panel_widget-title {text-transform: uppercase}';
		}
		if (get_theme_mod('p_widget_title_home_italic')) {
			$styles_output .= '.homepage_widget_section .panel_widget-title {font-style: italic}';
		}
		
		// meta font
		$p_meta_font = get_theme_mod( 'p_meta_font', 'Montserrat' );
		if ($p_meta_font != 'Montserrat') {
			$p_meta_font = str_replace('+', ' ', $p_meta_font);
			$styles_output .= '.pipdig_meta, .pipdig_cat, .btn, button, input[type="button"], input[type="reset"], input[type="submit"], .entry-meta, .site-main .paging-navigation a, .site-main .post-navigation a, .site-main .post-navigation a, .site-main .post-navigation .meta-nav, .comment-meta, .comment-date, .cat-item a, .widget_archive a, .pipdig-cats, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .pipdig-slider-cats, .read-more, .more-link {letter-spacing: 0; font-family: "'.$p_meta_font.'"}';
		}
		
		// post title font
		$p_titles_font = get_theme_mod( 'p_titles_font', 'Playfair+Display' );
		if ($p_titles_font != 'Playfair+Display') {
			$p_titles_font = str_replace('+', ' ', $p_titles_font);
			$styles_output .= '.entry-title, .page-title, h1, h2, h3, h4, .slide-h2, .pipdig_masonry_post_title, .p_post_date .p_post_date_day {font-family: "'.$p_titles_font.'"}';
			$styles_output .= '.p_post_date {padding-top: 10px}';
		} else {
			$styles_output .= '.entry-title, .page-title, h1, h2, h3, h4, .slide-h2, .pipdig_masonry_post_title, .p_post_date .p_post_date_day {font-weight: 700}';
		}
		
		// Post title font size
		$post_title_font_size = get_theme_mod( 'post_title_font_size', 26 );
		if ($post_title_font_size != 26) {
			$styles_output .= '.entry-title {font-size:'.intval($post_title_font_size).'px; line-height: 1.1;}';
		}
		
		if (get_theme_mod('p_titles_font_transform')) {
			$styles_output .= '.p_post_titles_font,.entry-title,.page-title,.pipdig_p3_related_title a, .entry-content .pipdig_p3_related_posts h3, .pipdig_p3_related_posts h3, .p3_popular_posts_widget h4, .comment-reply-title, .slide-h2, .pipdig-mosaic-post h2, .pipdig_masonry_post_title {text-transform: uppercase}';
		}
		if (get_theme_mod('p_titles_font_italic')) {
			$styles_output .= '.p_post_titles_font,.entry-title,.page-title,.pipdig_p3_related_title a, .entry-content .pipdig_p3_related_posts h3, .pipdig_p3_related_posts h3, .p3_popular_posts_widget h4, .comment-reply-title, .slide-h2, .pipdig-mosaic-post h2, .pipdig_masonry_post_title {font-style:italic}';
		}
		
		// Menu font
		$p_navbar_font = get_theme_mod( 'p_navbar_font', 'Montserrat' );
		if ($p_navbar_font != 'Montserrat') {
			$p_navbar_font = str_replace('+', ' ', $p_navbar_font);
			$styles_output .= '.menu-bar ul li a, .slicknav_menu {letter-spacing: 0; font-family: "'.$p_navbar_font.'"}';
		}
	
		if (get_theme_mod('p_navbar_font_transform', 1) == false) {
			$styles_output .= '.menu-bar ul li a, .slicknav_menu {text-transform: none}';
		}
		if (get_theme_mod('p_navbar_font_italic')) {
			$styles_output .= '.menu-bar ul li a, .slicknav_menu {font-style: italic}';
		}

	// Show author
	$show_author = get_theme_mod( 'show_author' );
	if ($show_author != 0) {
		$styles_output .= '.show-author{display:inline}';
	}
	
	// Left sidebar
	$sidebar_position = get_theme_mod( 'sidebar_position' );
	if ($sidebar_position == 'left') {
		$styles_output .= '@media only screen and (min-width: 990px){.site-sidebar{padding:0 30px 0 0;}}';
	}
	
	// Left align menu
	/*
	$left_align_menu = get_theme_mod( 'left_align_menu' );
	if ($left_align_menu != 0) {
		$styles_output .= '.site-top .menu-bar{text-align:left}.site-top .menu-bar ul li a{padding:0 15px}.site-top .menu-bar ul li ul a{padding:5px 15px;}';
	}
	*/
	
	// Bloglovin widget==========================

	// background color
	$pipdig_bloglovin_widget_background_color = get_theme_mod( 'pipdig_bloglovin_widget_background_color', '#ffffff' ); 
	if ($pipdig_bloglovin_widget_background_color != '#ffffff' ) {
		$styles_output .= '.pipdig-bloglovin-widget{background:'.$pipdig_bloglovin_widget_background_color.'}';
	}
	
	// border color
	$pipdig_bloglovin_widget_border_color = get_theme_mod( 'pipdig_bloglovin_widget_border_color', '#cccccc' ); 
	if ($pipdig_bloglovin_widget_border_color != '#cccccc' ) {
		$styles_output .= '.pipdig-bloglovin-widget{border:1px solid '.$pipdig_bloglovin_widget_border_color.'}';
	}
		
	// text color
	$pipdig_bloglovin_widget_text_color = get_theme_mod( 'pipdig_bloglovin_widget_text_color', '#000000' ); 
	if ($pipdig_bloglovin_widget_text_color != '#000000') {
		$styles_output .= '.pipdig-bloglovin-widget,.wp-bloglovin-widget .pipdigicons{color:'.$pipdig_bloglovin_widget_text_color.'!important}';
	}	

	//===========================================
	
	
	// background image and repeat setting (or backstretch)
	$repeat = get_theme_mod('pipdig_background_repeats', 'repeat');
	$bg_image = get_theme_mod('pipdig_background_image');
	if($bg_image) {
		if($repeat != '') { // if not set to backstretch:
			$styles_output .= 'body{background:url('.esc_url($bg_image).') '.$repeat.';}';
		}
	}
	
	// .container max-width and responsive
	$container_width = absint(get_theme_mod( 'container_width', 1140 )); 
	$container_width_single = absint(get_theme_mod( 'container_width_single', $container_width ));
	$disable_responsive = get_theme_mod( 'disable_responsive' ); 
	
	if (!$disable_responsive) {
		if ($container_width != 1140) {
			$styles_output .= '.container{max-width:'.$container_width.'px}';
		}
		if (is_singular() && ($container_width_single != $container_width)) {
			$styles_output .= '.site-main .container{max-width:'.$container_width_single.'px}';
		}
	} else {
		if ($container_width != 1140) {
			$styles_output .= '.container{width:'.$container_width.'px}';
		}
		if (is_singular() && ($container_width_single != $container_width)) {
			$styles_output .= '.site-main .container{width:'.$container_width_single.'px}';
		}
	}
	
	if (get_theme_mod('header_version', 1) != 1) {
		
		// remove padding if using header image
		$logo_image_pad = get_theme_mod( 'logo_image' ); 
		if ($logo_image_pad) {
			$styles_output .= '.site-header .container{padding-top:0;padding-bottom:0;}.site-description{margin-bottom:20px}';
		}
		
		// Header image top padding
		$header_image_top_padding = get_theme_mod( 'header_image_top_padding', 0 ); 
		if ($header_image_top_padding != 0) {
			$styles_output .= '@media screen and (min-width: 770px) { .site-title img{padding-top:'.$header_image_top_padding.'px} }';
		}
		
		// Header image bottom padding
		$header_image_bottom_padding = get_theme_mod( 'header_image_bottom_padding', 0 ); 
		if ($header_image_bottom_padding != 0) {
			$styles_output .= '.site-title img{padding-bottom:'.$header_image_bottom_padding.'px}';
		}
		
	}
	
	// Full width slider height
	$header_full_width_slider_height = get_theme_mod( 'header_full_width_slider_height', 480 ); 
	if ($header_full_width_slider_height != 480) {
		$styles_output .= '@media only screen and (min-width: 720px) {#pipdig_full_width_slider{height:'.$header_full_width_slider_height.'px}}';
	}
	

	// account for instagram header and etoile header layouts
	if (get_theme_mod('header_version', 1) != 1 && get_theme_mod( 'p3_instagram_header' )) {
		$styles_output .= '@media only screen and (min-width: 720px) {#pipdig_etoile_instagram_header_top { margin-top: 39px } .site-header.site-header-2 .container { padding-top: 50px; padding-bottom: 50px; } }';
	}
	
	if (get_theme_mod('header_version', 1) == 1) {
		// adapt header when tagline is disabled
		if (trim(get_bloginfo('description')) == false || get_theme_mod('hide_tagline', 1)) {
			$styles_output .= '@media only screen and (min-width: 770px) { .site-title {text-align: left; padding-left: 10px;} }';
			$styles_output .= '@media only screen and (min-width: 770px) { .wpadminbar-nudge {display: none} }';
		}
	} else {
		// Header image retina
		$header_image_retina_width = get_theme_mod( 'header_image_retina_width', 0 ); 
		if ($header_image_retina_width != 0) {
			$styles_output .= '.site-title img{width:'.$header_image_retina_width.'px}';
		}
	}
	
	if (get_theme_mod('p_cats_show_titles', 1)) {
		$styles_output .= '.p_grid_post_info { display: block }';
	}
	
	if ($styles_output) {
		echo '<!--noptimize--> <!-- Cust --> <style>'.strip_tags($styles_output).'</style> <!-- /Cust --> <!--/noptimize-->';
	}
	
}
add_action( 'wp_head', 'pipdig_customizer_head_styles' );
