<?php if (!defined('ABSPATH')) die;

function p3_cookies_nom() {
	
	if (!get_theme_mod('p3_cookies_nom')) {
		return;
	}
	
	$msg = __('This site uses cookies to deliver its services and to analyse traffic. By using this site, you agree to its use of cookies.', 'p3');
	$btn = 'OK';
	
	if (get_theme_mod('p3_cookie_text')) {
		$msg = sanitize_text_field(get_theme_mod('p3_cookie_text'));
	}
	if (get_theme_mod('p3_cookie_btn')) {
		$btn = sanitize_text_field(get_theme_mod('p3_cookie_btn'));
	}
	
	if (function_exists('get_privacy_policy_url') && get_privacy_policy_url()) {
		$href = get_privacy_policy_url();
	} else {
		$href = 'https://www.cookiesandyou.com';
	}
	
	?>
	<!--noptimize-->
	<style>
	.cc-window{opacity:1;transition:opacity 1s ease}.cc-window.cc-invisible{opacity:0}.cc-animate.cc-revoke{transition:transform 1s ease}.cc-animate.cc-revoke.cc-top{transform:translateY(-2em)}.cc-animate.cc-revoke.cc-bottom{transform:translateY(2em)}.cc-animate.cc-revoke.cc-active.cc-bottom,.cc-animate.cc-revoke.cc-active.cc-top,.cc-revoke:hover{transform:translateY(0)}.cc-grower{max-height:0;overflow:hidden;transition:max-height 1s}.cc-link,.cc-revoke:hover{text-decoration:underline}.cc-revoke,.cc-window{position:fixed;overflow:hidden;box-sizing:border-box;font-family:Helvetica,Calibri,Arial,sans-serif;font-size:16px;line-height:1.5em;display:-ms-flexbox;display:flex;-ms-flex-wrap:nowrap;flex-wrap:nowrap;z-index:9999}.cc-window.cc-static{position:static}.cc-window.cc-floating{padding:2em;max-width:24em;-ms-flex-direction:column;flex-direction:column}.cc-window.cc-banner{padding:1em 1.8em;width:100%;-ms-flex-direction:row;flex-direction:row}.cc-revoke{padding:.5em}.cc-header{font-size:18px;font-weight:700}.cc-btn,.cc-close,.cc-link,.cc-revoke{cursor:pointer}.cc-link{opacity:.8;display:inline-block;padding:.2em}.cc-link:hover{opacity:1}.cc-link:active,.cc-link:visited{color:initial}.cc-btn{display:block;padding:.4em .8em;font-size:.9em;font-weight:700;border-width:2px;border-style:solid;text-align:center;white-space:nowrap}.cc-banner .cc-btn:last-child{min-width:140px}.cc-highlight .cc-btn:first-child{background-color:transparent;border-color:transparent}.cc-highlight .cc-btn:first-child:focus,.cc-highlight .cc-btn:first-child:hover{background-color:transparent;text-decoration:underline}.cc-close{display:block;position:absolute;top:.5em;right:.5em;font-size:1.6em;opacity:.9;line-height:.75}.cc-close:focus,.cc-close:hover{opacity:1}.cc-revoke.cc-top{top:0;left:3em;border-bottom-left-radius:.5em;border-bottom-right-radius:.5em}.cc-revoke.cc-bottom{bottom:0;left:3em;border-top-left-radius:.5em;border-top-right-radius:.5em}.cc-revoke.cc-left{left:3em;right:unset}.cc-revoke.cc-right{right:3em;left:unset}.cc-top{top:1em}.cc-left{left:1em}.cc-right{right:1em}.cc-bottom{bottom:1em}.cc-floating>.cc-link{margin-bottom:1em}.cc-floating .cc-message{display:block;margin-bottom:1em}.cc-window.cc-floating .cc-compliance{-ms-flex:1;flex:1}.cc-window.cc-banner{-ms-flex-align:center;align-items:center}.cc-banner.cc-top{left:0;right:0;top:0}.cc-banner.cc-bottom{left:0;right:0;bottom:0}.cc-banner .cc-message{-ms-flex:1;flex:1}.cc-compliance{display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;-ms-flex-line-pack:justify;align-content:space-between}.cc-compliance>.cc-btn{-ms-flex:1;flex:1}.cc-btn+.cc-btn{margin-left:.5em}@media print{.cc-revoke,.cc-window{display:none}}@media screen and (max-width:900px){.cc-btn{white-space:normal}}@media screen and (max-width:414px) and (orientation:portrait),screen and (max-width:736px) and (orientation:landscape){.cc-window.cc-top{top:0}.cc-window.cc-bottom{bottom:0}.cc-window.cc-banner,.cc-window.cc-left,.cc-window.cc-right{left:0;right:0}.cc-window.cc-banner{-ms-flex-direction:column;flex-direction:column}.cc-window.cc-banner .cc-compliance{-ms-flex:1;flex:1}.cc-window.cc-floating{max-width:none}.cc-window .cc-message{margin-bottom:1em}.cc-window.cc-banner{-ms-flex-align:unset;align-items:unset}}.cc-floating.cc-theme-classic{padding:1.2em;border-radius:5px}.cc-floating.cc-type-info.cc-theme-classic .cc-compliance{text-align:center;display:inline;-ms-flex:none;flex:none}.cc-theme-classic .cc-btn{border-radius:5px}.cc-theme-classic .cc-btn:last-child{min-width:140px}.cc-floating.cc-type-info.cc-theme-classic .cc-btn{display:inline-block}.cc-theme-edgeless.cc-window{padding:0}.cc-floating.cc-theme-edgeless .cc-message{margin:2em 2em 1.5em}.cc-banner.cc-theme-edgeless .cc-btn{margin:0;padding:.8em 1.8em;height:100%}.cc-banner.cc-theme-edgeless .cc-message{margin-left:1em}.cc-floating.cc-theme-edgeless .cc-btn+.cc-btn{margin-left:0} #cookieChoiceInfo {display:none} .cc_container {box-shadow: none; border: 1px soild #ddd; border-radius: 0;} .cc_container .cc_btn:hover, .cc_container .cc_btn:active {background: #999; color: #fff;} .cc_container .cc_btn, .cc_container .cc_btn:visited {background: #000 !important; color: #fff !important; border-radius: 2px !important;}
	</style>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.6/cookieconsent.min.js"></script>
	<script> window.addEventListener("load", function(){ window.cookieconsent.initialise({ "palette": { "popup": { "background": "<?php echo get_theme_mod('p3_cookies_nom_bg_color', '#f4f4f4') ?>", "text": "<?php echo get_theme_mod('p3_cookies_nom_text_color', '#000000') ?>" }, "button": { "background": "#000", "text": "#fff" } }, "position": "bottom-left", "content": { "message": "<?php echo $msg; ?>", "dismiss": "<?php echo $btn; ?>", "href": "<?php echo $href; ?>", "link": "<?php echo esc_attr(__('Learn more', 'p3')); ?>" } })}); </script>
	<!--/noptimize-->
	<?php
}
add_action('wp_footer', 'p3_cookies_nom', 99999999);

// customiser
class p3_cookies_nom_Customize {
	public static function register ($wp_customize) {
		
		// enable it
		$wp_customize->add_setting('p3_cookies_nom',
			array(
				'default' => 0,
				'sanitize_callback' => 'absint',
			)
		);
		$wp_customize->add_control('p3_cookies_nom',
			array(
				'type' => 'checkbox',
				'label' => 'Show a Cookie Banner to new visitors',
				'section' => 'pipdig_general_options',
				'priority' => 30
			)
		);
		
		// bg color
		$wp_customize->add_setting('p3_cookies_nom_bg_color',
			array(
				'default' => '#f4f4f4',
				'sanitize_callback' => 'sanitize_hex_color',
			)
		);
		$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'p3_cookies_nom_bg_color',
			array(
				'label' => 'Cookie notice background color',
				'settings' => 'p3_cookies_nom_bg_color',
				'section' => 'pipdig_general_options',
				'priority' => 31
			)
		));
		
		// text color
		$wp_customize->add_setting('p3_cookies_nom_text_color',
			array(
				'default' => '#000000',
				'sanitize_callback' => 'sanitize_hex_color',
			)
		);
		$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'p3_cookies_nom_text_color',
			array(
				'label' => 'Cookie notice text color',
				'settings' => 'p3_cookies_nom_text_color',
				'section' => 'pipdig_general_options',
				'priority' => 32
			)
		));
		
		$wp_customize->add_setting('p3_cookie_text',
			array(
				'sanitize_callback' => 'sanitize_text_field',
			)
		);
		$wp_customize->add_control(
			'p3_cookie_text',
			array(
				'type' => 'text',
				'label' => 'Cookie notice text',
				'section' => 'pipdig_general_options',
				'input_attrs' => array(
					'placeholder' => __('This site uses cookies to deliver its services and to analyse traffic. By using this site, you agree to its use of cookies.', 'p3'),
				),
				'priority' => 33
			)
		);
		
		$wp_customize->add_setting('p3_cookie_btn',
			array(
				'sanitize_callback' => 'sanitize_text_field',
			)
		);
		$wp_customize->add_control(
			'p3_cookie_btn',
			array(
				'type' => 'text',
				'label' => 'Cookie notice button text',
				'section' => 'pipdig_general_options',
				'input_attrs' => array(
					'placeholder' => 'OK',
				),
				'priority' => 34
			)
		);
		
	}
}
add_action( 'customize_register' , array( 'p3_cookies_nom_Customize' , 'register' ) );
